Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions.StartStopLifecycleAction

    java.lang.Object
      org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
          org.jboss.kernel.plugins.dependency.KernelControllerContextActions.LifecycleAction
              org.jboss.kernel.plugins.dependency.KernelControllerContextActions.StartStopLifecycleAction

All Implemented Interfaces:
  org.jboss.dependency.plugins.spi.action.ControllerContextAction

Enclosing class:
  KernelControllerContextActions

public static class KernelControllerContextActions.StartStopLifecycleAction
extends KernelControllerContextActions.LifecycleAction

A StartStopLifecycleAction.

Field Summary

Fields inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`log`

Constructor Summary
`KernelControllerContextActions.StartStopLifecycleAction()`

Method Summary
`String` | `getInstallMethod(KernelControllerContext context)` Get the install method
`List` | `getInstallParameters(KernelControllerContext context)` Get the install parameters
`String` | `getUninstallMethod(KernelControllerContext context)` Get the uninstall method
`List` | `getUninstallParameters(KernelControllerContext context)` Get the uninstall parameters

Methods inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.LifecycleAction
`installAction, uninstallAction`

Methods inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelControllerContextActions.StartStopLifecycleAction

    public KernelControllerContextActions.StartStopLifecycleAction()

Method Detail

### getInstallMethod

    public String getInstallMethod(KernelControllerContext context)

  Description copied from class: `KernelControllerContextActions.LifecycleAction`
  Get the install method

  Specified by:
    `getInstallMethod` in class `KernelControllerContextActions.LifecycleAction`
  Parameters:
    `context` - the context
  Returns:
    the method

### getInstallParameters

    public List getInstallParameters(KernelControllerContext context)

  Description copied from class: `KernelControllerContextActions.LifecycleAction`
  Get the install parameters

  Specified by:
    `getInstallParameters` in class `KernelControllerContextActions.LifecycleAction`
  Parameters:
    `context` - the context
  Returns:
    the parameters

### getUninstallMethod

    public String getUninstallMethod(KernelControllerContext context)

  Description copied from class: `KernelControllerContextActions.LifecycleAction`
  Get the uninstall method

  Specified by:
    `getUninstallMethod` in class `KernelControllerContextActions.LifecycleAction`
  Parameters:
    `context` - the context
  Returns:
    the method

### getUninstallParameters

    public List getUninstallParameters(KernelControllerContext context)

  Description copied from class: `KernelControllerContextActions.LifecycleAction`
  Get the uninstall parameters

  Specified by:
    `getUninstallParameters` in class `KernelControllerContextActions.LifecycleAction`
  Parameters:
    `context` - the context
  Returns:
    the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.